Package gov.nasa.gsfc.sscweb.schema

# Class MapLimits

java.lang.Object
gov.nasa.gsfc.sscweb.schema.MapLimits

public class MapLimits extends Object
Map limit values for an SSC graphing request. <p>Java class for MapLimits complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="MapLimits"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="MinLatitude" type="{http://www.w3.org/2001/XMLSchema}float"/> <element name="MaxLatitude" type="{http://www.w3.org/2001/XMLSchema}float"/> <element name="MinLongitude" type="{http://www.w3.org/2001/XMLSchema}float"/> <element name="MaxLongitude" type="{http://www.w3.org/2001/XMLSchema}float"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected float`
  `maxLatitude`
  Maximum Latitude value.
  `protected float`
  `maxLongitude`
  Maximum Longitude value.
  `protected float`
  `minLatitude`
  Minimum Latitude value.
  `protected float`
  `minLongitude`
  Minimum Longitude value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MapLimits()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `getMaxLatitude()`
  Maximum Latitude value.
  `float`
  `getMaxLongitude()`
  Maximum Longitude value.
  `float`
  `getMinLatitude()`
  Minimum Latitude value.
  `float`
  `getMinLongitude()`
  Minimum Longitude value.
  `void`
  `setMaxLatitude(float value)`
  Sets the value of the maxLatitude property.
  `void`
  `setMaxLongitude(float value)`
  Sets the value of the maxLongitude property.
  `void`
  `setMinLatitude(float value)`
  Sets the value of the minLatitude property.
  `void`
  `setMinLongitude(float value)`
  Sets the value of the minLongitude property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### minLatitude

    protected float minLatitude
    Minimum Latitude value.

  - ### maxLatitude

    protected float maxLatitude
    Maximum Latitude value.

  - ### minLongitude

    protected float minLongitude
    Minimum Longitude value.

  - ### maxLongitude

    protected float maxLongitude
    Maximum Longitude value.

- ## Constructor Details

  - ### MapLimits

    public MapLimits()

- ## Method Details

  - ### getMinLatitude

    public float getMinLatitude()
    Minimum Latitude value.

  - ### setMinLatitude

    public void setMinLatitude(float value)
    Sets the value of the minLatitude property.

  - ### getMaxLatitude

    public float getMaxLatitude()
    Maximum Latitude value.

  - ### setMaxLatitude

    public void setMaxLatitude(float value)
    Sets the value of the maxLatitude property.

  - ### getMinLongitude

    public float getMinLongitude()
    Minimum Longitude value.

  - ### setMinLongitude

    public void setMinLongitude(float value)
    Sets the value of the minLongitude property.

  - ### getMaxLongitude

    public float getMaxLongitude()
    Maximum Longitude value.

  - ### setMaxLongitude

    public void setMaxLongitude(float value)
    Sets the value of the maxLongitude property.